Package com.mockobjects.jms

# Class MockTopicPublisher

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.jms.MockMessagePublisher
com.mockobjects.jms.MockTopicPublisher

All Implemented Interfaces:
  `Verifiable`

public class MockTopicPublisher extends MockMessagePublisher

## Constructor Summary

Constructors
Constructor
Description
`MockTopicPublisher()`

## Method Summary

Modifier and Type
Method
Description
`Topic`
`getTopic()`
`void`
`publish(Message message)`
`void`
`publish(Message message, int deliveryMode, int priority, long timeToLive)`
`void`
`publish(Topic topic, Message message)`
`void`
`publish(Topic topic, Message message, int deliveryMode, int priority, long timeToLive)`
`void`
`setExpectedMessage(Message message)`

### Methods inherited from class com.mockobjects.jms.MockMessagePublisher

`close, getDeliveryMode, getDisableMessageID, getDisableMessageTimestamp, getPriority, getTimeToLive, setDeliveryMode, setDisableMessageID, setDisableMessageTimestamp, setPriority, setTimeToLive`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockTopicPublisher

public MockTopicPublisher()

## Method Details

### setExpectedMessage

public void setExpectedMessage(Message message)

### getTopic

public Topic getTopic() throws JMSException

Throws:
  `JMSException`

### publish

public void publish(Message message) throws JMSException

Throws:
  `JMSException`

### publish

public void publish(Message message, int deliveryMode, int priority, long timeToLive) throws JMSException

Throws:
  `JMSException`

### publish

public void publish(Topic topic, Message message) throws JMSException

Throws:
  `JMSException`

### publish

public void publish(Topic topic, Message message, int deliveryMode, int priority, long timeToLive) throws JMSException

Throws:
  `JMSException`